<?php

namespace Lc\CaracoleBundle\Controller\Site;

use Lc\CaracoleBundle\Controller\AdminControllerTrait;
use Lc\CaracoleBundle\Factory\Site\PageFactory;
use Lc\SovBundle\Controller\Site\PageAdminController as SovPageAdminController;

abstract class PageAdminController extends SovPageAdminController
{
    use AdminControllerTrait;

    public function createEntity(string $entityFqcn)
    {
        $factory = new PageFactory();
        $currentMerchant = $this->get('merchant_resolver')->getCurrent();
        $currentSection = $this->get('section_resolver')->getCurrent();
        $factory->setMerchant($currentMerchant);
        $factory->setSection($currentSection);
        return $factory->create();
    }
}
