<?php

namespace Lc\CaracoleBundle\Factory\Product;

use App\Entity\Product\ProductFamily;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\Product\ProductFamilyInterface;
use Lc\CaracoleBundle\Model\Section\SectionInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class ProductFamilyFactory extends AbstractFactory
{

    public function create(MerchantInterface $merchant, SectionInterface $section): ProductFamilyInterface
    {
        $productFamily = new ProductFamily();

        $productFamily->setMerchant($merchant);
        $productFamily->setSection($section);

        return $productFamily;
    }

}
